ospfNeighbor

Last published : Oct 30, 2026
Configuration for ospfNeighbor resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
BDR <String> Read-write The backup designated router for the network.
DR <String> Read-write The designated router for the network.
area <Integer> Read-write The area to which the neighbor belongs.
interface <String> Read-write The interface of peering.
ipaddress <String> Read-write The IP address this neighbor is using in its IP Source Address.
options <String> Read-write The options received from this neighbor.
priority <Integer> Read-write The priority of this neighbor in the designated router election algorithm.
processId <Integer> Read-write OSPF process ID number.
routerId <String> Read-write The IpAddress that uniquely identifies the neighboring router in the Autonomous System.
state <String> Read-write The state of the relationship with this neighbor.

Operations

(click to see Properties )
  • GET
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfNeighbor
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfNeighbor?args=processId:<Integer>,routerId:<String>
Query-parameters:
args
http:// <netscaler-ip-address> /nitro/v1/config/ospfNeighbor ?args=processId:<Integer>,routerId:<String>
Use this query-parameter to get ospfNeighbor resources based on additional properties.
HTTP Method: GET
Response:
HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"ospfNeighbor" : [{
"BDR" : <String>,
"DR" : <String>,
"area" : <Integer>,
"interface" : <String>,
"ipaddress" : <String>,
"options" : <String>,
"priority" : <Integer>,
"processId" : <Integer>,
"routerId" : <String>,
"state" : <String>
}]
}}